<?php

use App\Controllers\UserController;
use App\Controllers\ImageController;
use App\Controllers\QuoteController;
use App\Controllers\QuizController;

$container = $app->getContainer();

$container->set(UserController::class, function($container) {
    return new UserController($container);
});

$container->set(ImageController::class, function($container) {
    return new ImageController($container);
});

$container->set(QuoteController::class, function($container) {
    return new QuoteController($container);
});

$container->set(QuizController::class, function($container) {
    return new QuizController($container);
});
