<?php
// Récupération du conteneur de l'application
$container = $app->getContainer();

$container->set('db', function () {
    // On récupère les paramètres depuis les variables d'environnement
    $host   = getenv('DB_HOST') ?: 'db';
    $dbname = getenv('DB_NAME') ?: 'dbwikifantasy';
    $user   = getenv('DB_USER') ?: 'postgres';
    $pass   = getenv('DB_PASSWORD') ?: 'sucepute';
    $dsn    = "pgsql:host=$host;dbname=$dbname";

    try {
        $pdo = new PDO($dsn, $user, $pass);
        $pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
        return $pdo;
    } catch (PDOException $e) {
        die('Database connection failed: ' . $e->getMessage());
    }
});
